<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="poker.CombinacaoTest(failed)(failed)" failures="7" tests="7" time="0.272" errors="0">
  <properties/>
  <testcase name="combinacoesComCartaMaisAlta_GanhaTerceiraCartaMaisAlta" time="0.147" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.combinacoesComCartaMaisAlta_GanhaTerceiraCartaMaisAlta(CombinacaoTest.scala:118)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="combinacoesComCartaMaisAlta_GanhaUltimaCartaMaisAlta" time="0.0050" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.combinacoesComCartaMaisAlta_GanhaUltimaCartaMaisAlta(CombinacaoTest.scala:124)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="combinacoesComCartaMaisAlta_ASCartaMaisAlta" time="0.012" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.combinacoesComCartaMaisAlta_ASCartaMaisAlta(CombinacaoTest.scala:106)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="menorParGanhaMaiorCartaMaisAlta" time="0.0060" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.menorParGanhaMaiorCartaMaisAlta(CombinacaoTest.scala:140)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="combinacoesComCartaMaisAlta_GanhaCartaMaisAlta" time="0.013" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.combinacoesComCartaMaisAlta_GanhaCartaMaisAlta(CombinacaoTest.scala:97)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="combinacoesComCartaMaisAlta_GanhaSegundaCartaMaisAlta" time="0.0030" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError">
      <![CDATA[java.lang.AssertionError: 
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.assertTrue(Assert.java:34)
	at org.junit.Assert.assertTrue(Assert.java:43)
	at poker.CombinacaoTest.combinacoesComCartaMaisAlta_GanhaSegundaCartaMaisAlta(CombinacaoTest.scala:112)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
  <testcase name="qtdeDePares" time="0.0080" classname="poker.CombinacaoTest">
    <failure type="java.lang.AssertionError" message="expected:&lt;2&gt; but was:&lt;1&gt;">
      <![CDATA[java.lang.AssertionError: expected:<2> but was:<1>
	at org.junit.Assert.fail(Assert.java:71)
	at org.junit.Assert.failNotEquals(Assert.java:451)
	at org.junit.Assert.assertEquals(Assert.java:99)
	at org.junit.Assert.assertEquals(Assert.java:116)
	at poker.CombinacaoTest.qtdeDePares(CombinacaoTest.scala:58)
... Removed 22 stack frames]]>
    </failure>
  </testcase>
</testsuite>
